Genivia - SoapDll Class Reference

|  | Home | Documentation | SoapDll Class Reference updated Mon Feb 22 2016 |

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
SoapDll Class Reference

`#include <ISAPI_SoapServerFactory.h>`

Collaboration diagram for SoapDll:
[legend]

## Public Member Functions
| SoapDll ()
| constructor More...
| SoapDll (const SoapDll &)
| copy constructor More...
virtual | ~SoapDll ()
| virtual destructor. More...
SoapDll & | operator= (const SoapDll &)
| assignment operator More...
bool | load (const char *pszPath)
| dynamically load this dll. More...
bool | unload ()
| dynamically load this dll. More...
const mod_gsoap_interface * | gsoap_interface () const
const char * | getLastError () const

## Protected Member Functions
bool | GetEntryPoints (const char *pszPath)

## Protected Attributes
HMODULE | m_hDll
| the handle if the dll is already loaded. More...
std::string | m_strLastError
| last error message for error reporting More...
mod_gsoap_interface | m_interface

## Detailed Description

a dynamic link library containing the gsoap entry points soap_init, soap_server etc.

## Constructor & Destructor Documentation

SoapDll::SoapDll | ( |  | ) |

constructor

SoapDll::SoapDll | ( | const SoapDll & | dll | ) |

copy constructor

SoapDll::~SoapDll | ( |  | ) |
| virtual

virtual destructor.

## Member Function Documentation

bool SoapDll::GetEntryPoints | ( | const char * | pszPath | ) |
| protected

Find the address of all entry points that we must use.

const char * SoapDll::getLastError | ( |  | ) | const

Returns
  the latest error message that occurred.

const mod_gsoap_interface * SoapDll::gsoap_interface | ( |  | ) | const

Returns
  the function pointers for calling into this dll.

bool SoapDll::load | ( | const char * | pszPath | ) |

dynamically load this dll.

Parameters

  pszPath | the name of the dll to load.

SoapDll & SoapDll::operator= | ( | const SoapDll & | dll | ) |

assignment operator

bool SoapDll::unload | ( |  | ) |

dynamically load this dll.

## Member Data Documentation

HMODULE SoapDll::m_hDll
| protected

the handle if the dll is already loaded.

mod_gsoap_interface SoapDll::m_interface
| protected

std::string SoapDll::m_strLastError
| protected

last error message for error reporting

The documentation for this class was generated from the following files:

- ISAPI_SoapServerFactory.h
- ISAPI_SoapServerFactory.cpp